View Issue Details

IDProjectCategoryView StatusLast Update
0005370SymmetricDSBugpublic2022-08-01 20:00
Reporterelong Assigned Toelong  
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.5.0 
Target Version3.13.7Fixed in Version3.13.7 
Summary0005370: Send schema DDL detects widened varchar but does not alter
DescriptionWhen sending schema (symadmin send-schema) of a table to alter it to match, if a VARCHAR column size is being increased, it detects the change, but the alter statement uses the old column size instead of the new column size.

Steps To Reproduce1. create table mytest (id integer, name varchar(20));
2. symadmin send-schema
3. alter table mytest modify name varchar(30);
4. symadmin send-schema
Tagsddl/schema

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.13 e410c2f7

2022-07-20 21:00:27

admin

Details Diff
0005370: Send schema DDL detects widened varchar but does not alter Affected Issues
0005370
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Column.java Diff File

SymmetricDS: 3.14 95b8c24e

2022-07-20 21:00:27

admin

Details Diff
0005370: Send schema DDL detects widened varchar but does not alter Affected Issues
0005370
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Column.java Diff File

SymmetricDS: 3.13 e709852f

2022-08-01 19:23:26

admin

Details Diff
0005370: Send schema DDL detects widened varchar but does not alter Affected Issues
0005370
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDdlBuilder.java Diff File

SymmetricDS: 3.14 67eacf14

2022-08-01 19:23:26

admin

Details Diff
0005370: Send schema DDL detects widened varchar but does not alter Affected Issues
0005370
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDdlBuilder.java Diff File

Issue History

Date Modified Username Field Change
2022-07-20 20:59 elong New Issue
2022-07-20 20:59 elong Status new => assigned
2022-07-20 20:59 elong Assigned To => elong
2022-07-20 20:59 elong Tag Attached: ddl/schema
2022-07-20 22:00 admin Changeset attached => SymmetricDS 3.13 e410c2f7
2022-07-20 22:00 admin Changeset attached => SymmetricDS 3.14 95b8c24e
2022-07-22 12:43 elong Status assigned => resolved
2022-07-22 12:43 elong Resolution open => fixed
2022-07-22 12:43 elong Fixed in Version => 3.13.7
2022-08-01 20:00 admin Changeset attached => SymmetricDS 3.13 e709852f
2022-08-01 20:00 admin Changeset attached => SymmetricDS 3.14 67eacf14